libzypp 17.37.10

zypp::asPoolItem Struct Reference

Solvable to PoolItem transform functor. More...

`#include <zypp/PoolItem.h>`

## Public Types
using | result_type = PoolItem

## Public Member Functions
PoolItem | operator() (const sat::Solvable &solv_r) const

## Detailed Description

Solvable to PoolItem transform functor.

Definition at line 203 of file PoolItem.h.

## Member Typedef Documentation

## ◆ result_type

using zypp::asPoolItem::result_type = PoolItem

Definition at line 205 of file PoolItem.h.

## Member Function Documentation

## ◆ operator()()

PoolItem zypp::asPoolItem::operator() | ( | const sat::Solvable & | solv_r | ) | const
| inline

Definition at line 207 of file PoolItem.h.

The documentation for this struct was generated from the following file:

- zypp/PoolItem.h